@import url('https://fonts.googleapis.com/css?family=Montserrat:400,600&display=swap');
:root {
    --border-color: #144fc6;
    --fill-color: #6ab3f8;
}

* {
    box-sizing: border-box;
}

body {
    background-color: #3494e4;
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 2.5em;
}

h1 {
    margin: 0.6em 0 0;
}

h3 {
    font-weight: 400;
    margin: 0.6em 0;
}

.cup {
    background-color: #fff;
    border: 4px solid var(--border-color);
    color: var(--border-color);
    border-radius: 0 0 40px 40px;
    height: 20.6em;
    width: 9.3em;
    margin: 1.8em 0;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

.cup.cup-small {
    height: 5.9em;
    width: 3.1em;
    border-radius: 0 0 15px 15px;
    background-color: rgba(255, 255, 255, 0.9);
    cursor: pointer;
    font-size: 0.8em;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 0.3em;
    transition: 0.3s ease;
}

.cup.cup-small.full {
    background-color: var(--fill-color);
    color: #fff;
}

.cups {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 17.5em;
}

.remained {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex: 1;
    transition: 0.3s ease;
}

.remained span {
    font-size: 1.6em;
    font-weight: bold;
}

.remained small {
    font-size: 0.75em;
}

.percentage {
    background-color: var(--fill-color);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 1.8em;
    height: 0;
    transition: 0.3s ease;
}

.text {
    text-align: center;
    margin: 0 0 0.3em;
}